Highlighted

air sdk 23 crash on ios6

Community Beginner ,
Jan 12, 2017

Copy link to clipboard

Copied

When compiling with air sdk 23 app crashes on start on ios 6. Device is ipod touch 4. gen.

When tested with air sdk 21 this error did not occur.

I think the error is related with the GameController framework as it was introduced in ios 7.

Is it possible to link it as optional so we can use newer air sdk?

A part of the crash log:

Dyld Error Message:

  Library not loaded: /System/Library/Frameworks/GameController.framework/

TOPICS
Air beta

Views

184

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

air sdk 23 crash on ios6

Community Beginner ,
Jan 12, 2017

Copy link to clipboard

Copied

When compiling with air sdk 23 app crashes on start on ios 6. Device is ipod touch 4. gen.

When tested with air sdk 21 this error did not occur.

I think the error is related with the GameController framework as it was introduced in ios 7.

Is it possible to link it as optional so we can use newer air sdk?

A part of the crash log:

Dyld Error Message:

  Library not loaded: /System/Library/Frameworks/GameController.framework/

TOPICS
Air beta

Views

185

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Jan 12, 2017 0

Have something to add?

Join the conversation